Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.annotation
Class AnnotationProxy

    java.lang.Object
      org.jboss.aop.annotation.AnnotationProxy

All Implemented Interfaces:
  InvocationHandler

public class AnnotationProxy
extends Object
implements InvocationHandler

Comment

Version:
  $Revision: 1.7 $
Author:
  Bill Burke

Constructor Summary
`AnnotationProxy(Map valueMap)`

Method Summary
`static Object` | `createProxy(javassist.bytecode.annotation.Annotation info)`
`static Object` | `createProxy(javassist.bytecode.annotation.Annotation info, Class annotation)`
`static Object` | `createProxy(Map map, Class annotation)`
`Object` | `getValue(String name)`
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationProxy

    public AnnotationProxy(Map valueMap)

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### getValue

    public Object getValue(String name)

### createProxy

    public static Object createProxy(javassist.bytecode.annotation.Annotation info)
                              throws Exception

  Throws:
    `Exception`

### createProxy

    public static Object createProxy(javassist.bytecode.annotation.Annotation info,
                                     Class annotation)
                              throws Exception

  Throws:
    `Exception`

### createProxy

    public static Object createProxy(Map map,
                                     Class annotation)
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.